Page MenuHomePhabricator

Supplement the FileImporter environment on beta to allow full testing
Closed, ResolvedPublic3 Story Points

Description

To be able to test all of our implemented features on beta we need to make sure, that the environment there fits our needs. At least for the newly introduced retrieval of a Wikidata template to suggest for the source of the import this is not working atm.

Working on this ticket should include checks if the following things are configured to our needs on the beta cluster:

  • FileImporter Wikidata configuration should point to beta-Wikidata
  • There's an item in the beta-Wikidata that resembles https://www.wikidata.org/wiki/Q5611625 and this item is configured for the beta FileImporter
  • The beta wikis have a working site table configuration that can be used to identify the right template from beta Wikidata
  • Configuration Data pages are present on beta that provide configuration settings for beta wikis to import from
  • ...

Artifacts

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 12 2019, 11:18 AM
WMDE-Fisch set the point value for this task to 3.Jun 12 2019, 1:24 PM
awight claimed this task.Jun 13 2019, 7:34 AM
awight moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2019-06-12 board.

Change 514715 had a related patch set uploaded (by Awight; owner: Awight):
[operations/mediawiki-config@master] New configuration to pull sitelinks from Wikidata

https://gerrit.wikimedia.org/r/514715

awight updated the task description. (Show Details)Jun 13 2019, 8:06 AM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJun 13 2019, 8:06 AM
awight closed this task as Resolved.Jun 13 2019, 8:09 AM

This should be ready to go, just waiting for config deployment which won't happen until at least next week (June 17th). We should sign up for a SWAT deployment once the new calendar is posted.

Change 514715 merged by jenkins-bot:
[operations/mediawiki-config@master] New configuration to pull sitelinks from Wikidata

https://gerrit.wikimedia.org/r/514715

Mentioned in SAL (#wikimedia-operations) [2019-06-17T11:11:59Z] <awight@deploy1001> Synchronized wmf-config/CommonSettings.php: wmf-config/CommonSettings-labs.php SWAT: [[gerrit:514715|FileImporter configuration to fetch sitelinks from Wikidata (T225609 T224007)]] (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2019-06-17T12:13:11Z] <awight@deploy1001> Synchronized wmf-config/CommonSettings-labs.php: SWAT: [[gerrit:514715|FileImporter configuration to fetch sitelinks from Wikidata (T225609 T224007)]] - finishing partial deployment (duration: 00m 47s)